get file = 'wm.sav'.

select if (WM7 = 1).
weight by wmweight.

select if (CM12 = "Y" or CM12 = "O" or CM12 = "S").


compute w1hour = 0.
if ((MN13U = 1 and MN13N = 0) or MN13U  = 0) w1hour = 100.
variable label w1hour "Percentage who started breastfeeding within one hour "+
  "of birth*".

compute w1day = 0.
if (MN13U = 0 or  MN13U = 1) w1day = 100.
variable label w1day "Percentage who started breastfeeding within one day of birth".

compute total = 1.
value label total 1 "".
variable label total "Number of women with live birth in the two years "+
  "preceding the survey".
 
tables
  /format = zero
  /observation = w1hour w1day 
  /ftotal = tot1 "Total"
  /table = HH6 + melevel + wlthind5 + tot1 
		by w1hour + w1day + total
  /statistics
    mean(w1hour (f5.1) '')
    mean(w1day (f5.1) '')
    count(total (f5.0) '')
  /title
    "Table NU.2: Intitial breastfeeding" 
		"Percentage of ever - married women aged 15-49 years with a birth in the 2 years preceding the survey "+
		"who breastfed their baby within one hour of birth and within one day of birth, Yemen 2006"
  /caption
  	"* MICS indicator 45".

new file.
