get file = 'wm.sav'.

select if (WM7 = 1).

weight by wmweight.

select if (CM12 = "Y" or CM12 = "O" or CM12 = "S").

recode mn11b (9.998,9.999=sysmis).
if (mn11b >= 0 and mn11b <= 6.5) total  = 1.
value label total 1 "".
variable label total "Number of birth".

recode MN11b   (lo thru 2.499=0)  (2.500 thru 6.500=1)  into bweight.
if (bweight = 3 and (MN10 = 7 or MN10 = 9)) bweight = 2.
variable labels bweight 'Birth weight'.
value labels bweight
  0 '<2500'
  1 '2500+'
  2 'DK/Missing'
  3 'Not weighted at birth'.

recode MN11a (7=9).

compute weighed = 0.
if ( MN11b < 9.996) weighed = 100.
variable label weighed "Percent of live births weighed at birth **".



tables
  /format = zero
  /observation = weighed 
  /ftotal = tot1 "Total" tot2 ""
  /tables = Hh6 + melevel +wlthind5+ tot1 by weighed+ MN9 + tot2
  /statistics
    mean(weighed (f7.1) '')
    cpct( mn9( f5.1 ) '': wlthind5  hh6 melevel )
    cpct( tot2( f5.1 ) 'Total': wlthind5  hh6 melevel )
    count( tot2( f5.0 ) 'Number')
  /title
    "Table NU.8a.  Birth weight and estimated size at birth Yemen MICS 2006".

new file.
