* Direct estimation of fertility.  Trevor Croft, January 3, 2007.

* Main program - calls.
*   fert_b.sps  for calculation of births.
*   fert_e.sps  for calculation of exposure.
*   fert_c.sps  for calculation of probabilities and rates, and final tables.


* National fertility estimates.

define subgroupname ()
'(Total)'
!enddefine.
define subgroup ()
use all.
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'fertt_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.



* Urban.

define subgroupname ()
'(Urban)'
!enddefine.
define subgroup ()
select if (HH6 = 1).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'fertu_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.

* Rural.

define subgroupname ()
'(Rural)'
!enddefine.
define subgroup ()
select if (HH6 = 2).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'fertu_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.



* None.

define subgroupname ()
'(None)'
!enddefine.
define subgroup ()
select if (melevel= 1).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'ferte_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.

* Basic+.

define subgroupname ()
'(Basic+)'
!enddefine.
define subgroup ()
select if (melevel = 2).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'ferte_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.






*Poorest.

define subgroupname ()
'(Poorest)'
!enddefine.
define subgroup ()
select if (wlthind5 = 1).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'fertw_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.




*Second.

define subgroupname ()
'(Second)'
!enddefine.
define subgroup ()
select if (wlthind5 = 2).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'fertw_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.




*Middle.

define subgroupname ()
'(Middle)'
!enddefine.
define subgroup ()
select if (wlthind5 = 3).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'fertw_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.




*Fourth.

define subgroupname ()
'(Fourth)'
!enddefine.
define subgroup ()
select if (wlthind5 = 4).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'fertw_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.




*Richest.

define subgroupname ()
'(Richest)'
!enddefine.
define subgroup ()
select if (wlthind5 = 5).
!enddefine.

include 'fert_B.sps'.	* Tabulate births by age at birth and period.
include 'fertw_E.sps'.	* Tabulate exposure by age group and period.
include 'fert_C.sps'.	* Calculate fertility rates.


