* Main program - calls.
*   mort_d.sps  for calculation of deaths.
*   mort_e.sps  for calculation of exposure.
*   mort_c.sps  for calculation of probabilities and rates, and final tables.


* National mortality estimates.

define subgroupname ()
'(Total)'
!enddefine.
define subgroup ()
use all.
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* Male.

define subgroupname ()
'(Male)'
!enddefine.
define subgroup ()
select if (BH3 = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* Female.

define subgroupname ()
'(Female)'
!enddefine.
define subgroup ()
select if (BH3 = 2).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Urban.

define subgroupname ()
'(Urban)'
!enddefine.
define subgroup ()
select if (HH6 = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Rural.

define subgroupname ()
'(Rural)'
!enddefine.
define subgroup ()
select if (HH6 = 2).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Mother Education.

define subgroupname ()
'(None)'
!enddefine.
define subgroup ()
select if (melevel = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Mother Education.

define subgroupname ()
'(Can Read)'
!enddefine.
define subgroup ()
select if (melevel = 2).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Mother Education.

define subgroupname ()
'(Basic)'
!enddefine.
define subgroup ()
select if (melevel = 3).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Mother Education.

define subgroupname ()
'(Secondary+)'
!enddefine.
define subgroup ()
select if (melevel = 4).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Mother Education.

define subgroupname ()
'(Missing)'
!enddefine.
define subgroup ()
select if (melevel = 9).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.


* Wealth Index.

define subgroupname ()
'(Poorest)'
!enddefine.
define subgroup ()
select if (wlthind5 = 1).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Wealth Index.

define subgroupname ()
'(Second)'
!enddefine.
define subgroup ()
select if (wlthind5 = 2).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Wealth Index.

define subgroupname ()
'(Middle)'
!enddefine.
define subgroup ()
select if (wlthind5 = 3).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Wealth Index.

define subgroupname ()
'(Fourth)'
!enddefine.
define subgroup ()
select if (wlthind5 = 4).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.

* Wealth Index.

define subgroupname ()
'(Richest)'
!enddefine.
define subgroup ()
select if (wlthind5 = 5).
!enddefine.

include 'mort_D.sps'.	* Tabulate deaths by age at death and period.
include 'mort_E.sps'.	* Tabulate exposure by age group and period.
include 'mort_C.sps'.	* Calculate mortality rates.